NMDBusSettingsSystem
3
LIBNM-GLIB Library

# NMDBusSettingsSystem

## Synopsis

    #define             NM_DBUS_SETTINGS_SYSTEM_UNMANAGED_DEVICES
    #define             NM_DBUS_SETTINGS_SYSTEM_HOSTNAME
    #define             NM_DBUS_SETTINGS_SYSTEM_CAN_MODIFY
                        NMDBusSettingsSystem;
    NMDBusSettingsSystem* nm_dbus_settings_system_new       (DBusGConnection *dbus_connection);
    gboolean            nm_dbus_settings_system_add_connection
                                                            (NMDBusSettingsSystem *self,
                                                             NMConnection *connection,
                                                             GError **err);
    GSList*             nm_dbus_settings_system_get_unmanaged_devices
                                                            (NMDBusSettingsSystem *self);
    const char*         nm_dbus_settings_system_get_hostname
                                                            (NMDBusSettingsSystem *self);
    gboolean            nm_dbus_settings_system_save_hostname
                                                            (NMDBusSettingsSystem *self,
                                                             const char *hostname,
                                                             GError **err);
    gboolean            nm_dbus_settings_system_get_can_modify
                                                            (NMDBusSettingsSystem *self);

## Description

## Details

### NM_DBUS_SETTINGS_SYSTEM_UNMANAGED_DEVICES

    #define NM_DBUS_SETTINGS_SYSTEM_UNMANAGED_DEVICES "unmanaged-devices"

### NM_DBUS_SETTINGS_SYSTEM_HOSTNAME

    #define NM_DBUS_SETTINGS_SYSTEM_HOSTNAME "hostname"

### NM_DBUS_SETTINGS_SYSTEM_CAN_MODIFY

    #define NM_DBUS_SETTINGS_SYSTEM_CAN_MODIFY "can-modify"

### NMDBusSettingsSystem

    typedef struct {
    	NMDBusSettings parent;
    } NMDBusSettingsSystem;

### nm_dbus_settings_system_new ()

    NMDBusSettingsSystem* nm_dbus_settings_system_new       (DBusGConnection *dbus_connection);

`dbus_connection` :

Returns :

### nm_dbus_settings_system_add_connection ()

    gboolean            nm_dbus_settings_system_add_connection
                                                            (NMDBusSettingsSystem *self,
                                                             NMConnection *connection,
                                                             GError **err);

`self` :

`connection` :

`err` :

Returns :

### nm_dbus_settings_system_get_unmanaged_devices ()

    GSList*             nm_dbus_settings_system_get_unmanaged_devices
                                                            (NMDBusSettingsSystem *self);

`self` :

Returns :

### nm_dbus_settings_system_get_hostname ()

    const char*         nm_dbus_settings_system_get_hostname
                                                            (NMDBusSettingsSystem *self);

`self` :

Returns :

### nm_dbus_settings_system_save_hostname ()

    gboolean            nm_dbus_settings_system_save_hostname
                                                            (NMDBusSettingsSystem *self,
                                                             const char *hostname,
                                                             GError **err);

`self` :

`hostname` :

`err` :

Returns :

### nm_dbus_settings_system_get_can_modify ()

    gboolean            nm_dbus_settings_system_get_can_modify
                                                            (NMDBusSettingsSystem *self);

`self` :

Returns :